Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
Get a list of task completions.

Default sort is by lastModifiedDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
serviceFormFillingId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"cb5b5275-72c3-4b83-97db-57912c595cb4","userId":"f4d868a8-d637-44b8-bd18-55cb8234afaa","departmentId":"c5c01875-80be-4803-9d0b-00cf22b9de03","areaDepartmentId":"10cc59ac-3a6a-4db4-a24f-cddb2ed06853","serviceFormFillingId":"9f4570b6-2c7c-4697-9e48-4026d8700654","creationDateTime":"2026-10-30T09:50:20.983635+00:00","lastModifiedDateTime":"2026-10-30T09:50:20.983635+00:00"},{"id":"6d592b5b-a92d-4049-bdb5-b7e423928e84","userId":"20d5d6a4-fbf2-4e69-b5d2-4795e294c6a2","departmentId":"07a21589-00e8-4b4a-a4f1-ffdee78aeea9","areaDepartmentId":null,"serviceFormFillingId":null,"creationDateTime":"2026-10-29T09:50:20.983635+00:00","lastModifiedDateTime":"2026-10-30T09:50:20.983635+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   serviceFormFillingId string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string